=== modified file 'client/mysqlslap.c'
--- client/mysqlslap.c	2008-07-29 07:47:38 +0000
+++ client/mysqlslap.c	2008-07-30 03:26:20 +0000
@@ -1469,7 +1469,7 @@
     if (create_string && !stat(create_string, &sbuf))
     {
       File data_file;
-      if (!MY_S_ISREG(sbuf.st_mode))
+      if (!S_ISREG(sbuf.st_mode))
       {
         fprintf(stderr,"%s: Create file was not a regular file\n",
                 my_progname);
@@ -1506,7 +1506,7 @@
     if (user_supplied_query && !stat(user_supplied_query, &sbuf))
     {
       File data_file;
-      if (!MY_S_ISREG(sbuf.st_mode))
+      if (!S_ISREG(sbuf.st_mode))
       {
         fprintf(stderr,"%s: User query supplied file was not a regular file\n",
                 my_progname);
@@ -1538,7 +1538,7 @@
       && !stat(user_supplied_pre_statements, &sbuf))
   {
     File data_file;
-    if (!MY_S_ISREG(sbuf.st_mode))
+    if (!S_ISREG(sbuf.st_mode))
     {
       fprintf(stderr,"%s: User query supplied file was not a regular file\n",
               my_progname);
@@ -1570,7 +1570,7 @@
       && !stat(user_supplied_post_statements, &sbuf))
   {
     File data_file;
-    if (!MY_S_ISREG(sbuf.st_mode))
+    if (!S_ISREG(sbuf.st_mode))
     {
       fprintf(stderr,"%s: User query supplied file was not a regular file\n",
               my_progname);

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-07-29 07:47:38 +0000
+++ drizzled/set_var.cc	2008-07-30 03:26:20 +0000
@@ -2167,8 +2167,8 @@
       'write' permission.
     */
 
-    if (!MY_S_ISREG(f_stat.st_mode) ||
-        !(f_stat.st_mode & MY_S_IWRITE))
+    if (!S_ISREG(f_stat.st_mode) ||
+        !(f_stat.st_mode & S_IWRITE))
       goto err;
 
     return 0;

=== modified file 'drizzled/sql_show.cc'
--- drizzled/sql_show.cc	2008-07-29 07:47:38 +0000
+++ drizzled/sql_show.cc	2008-07-30 03:26:20 +0000
@@ -252,7 +252,7 @@
                continue;
        }
 #endif
-      if (!MY_S_ISDIR(file->mystat->st_mode))
+      if (!S_ISDIR(file->mystat->st_mode))
         continue;
 
       file_name_len= filename_to_tablename(file->name, uname, sizeof(uname));

=== modified file 'include/my_dir.h'
--- include/my_dir.h	2008-06-30 07:09:25 +0000
+++ include/my_dir.h	2008-07-30 03:26:20 +0000
@@ -24,60 +24,14 @@
 
 #include <sys/stat.h>
 
-	/* Defines for my_dir and my_stat */
-
-#define MY_S_IFMT	S_IFMT	/* type of file */
-#define MY_S_IFDIR	S_IFDIR /* directory */
-#define MY_S_IFCHR	S_IFCHR /* character special */
-#define MY_S_IFBLK	S_IFBLK /* block special */
-#define MY_S_IFREG	S_IFREG /* regular */
-#define MY_S_IFIFO	S_IFIFO /* fifo */
-#define MY_S_ISUID	S_ISUID /* set user id on execution */
-#define MY_S_ISGID	S_ISGID /* set group id on execution */
-#define MY_S_ISVTX	S_ISVTX /* save swapped text even after use */
-#define MY_S_IREAD	S_IREAD /* read permission, owner */
-#define MY_S_IWRITE	S_IWRITE	/* write permission, owner */
-#define MY_S_IEXEC	S_IEXEC /* execute/search permission, owner */
-
-#define MY_S_ISDIR(m)	(((m) & MY_S_IFMT) == MY_S_IFDIR)
-#define MY_S_ISCHR(m)	(((m) & MY_S_IFMT) == MY_S_IFCHR)
-#define MY_S_ISBLK(m)	(((m) & MY_S_IFMT) == MY_S_IFBLK)
-#define MY_S_ISREG(m)	(((m) & MY_S_IFMT) == MY_S_IFREG)
-#define MY_S_ISFIFO(m)	(((m) & MY_S_IFMT) == MY_S_IFIFO)
-
 #define MY_DONT_SORT	512	/* my_lib; Don't sort files */
 #define MY_WANT_STAT	1024	/* my_lib; stat files */
 
-	/* typedefs for my_dir & my_stat */
-
-#ifdef USE_MY_STAT_STRUCT
-
-typedef struct my_stat
-{
-  dev_t		st_dev;		/* major & minor device numbers */
-  ino_t		st_ino;		/* inode number */
-  ushort	st_mode;	/* file permissons (& suid sgid .. bits) */
-  short		st_nlink;	/* number of links to file */
-  ushort	st_uid;		/* user id */
-  ushort	st_gid;		/* group id */
-  dev_t		st_rdev;	/* more major & minor device numbers (???) */
-  off_t		st_size;	/* size of file */
-  time_t	st_atime;	/* time for last read */
-  time_t	st_mtime;	/* time for last contens modify */
-  time_t	st_ctime;	/* time for last inode or contents modify */
-} MY_STAT;
-
-#else
-
-#define MY_STAT struct stat	/* Orginal struct have what we need */
-
-#endif /* USE_MY_STAT_STRUCT */
-
 /* Struct describing one file returned from my_dir */
 typedef struct fileinfo
 {
   char			*name;
-  MY_STAT		*mystat;
+  struct stat		*mystat;
 } FILEINFO;
 
 typedef struct st_my_dir	/* Struct returned from my_dir */

=== modified file 'mysys/my_lib.c'
--- mysys/my_lib.c	2008-07-29 07:47:38 +0000
+++ mysys/my_lib.c	2008-07-30 03:26:20 +0000
@@ -136,7 +136,7 @@
       memset(finfo.mystat, 0, sizeof(struct stat));
       VOID(strmov(tmp_file,dp->d_name));
       VOID(stat(tmp_path, finfo.mystat));
-      if (!(finfo.mystat->st_mode & MY_S_IREAD))
+      if (!(finfo.mystat->st_mode & S_IREAD))
         continue;
     }
     else

